Subject: bug#24518: 25.2.50; dired-mark-extension with prefix arg fails

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Sep 2016 16:49:46 +0300

> From: Tino Calancha <[email-masked]>
> Date: Sat, 24 Sep 2016 22:02:01 +0900 (JST)
> cc: Tino Calancha <[email-masked]>, [email-masked]
> 
> >> That feature has never being available since `dired-x' was added to Emacs
> >> in 1994: the bug came from the very first commit.  No user will miss
> >> that feature because nobody ever could use it.
> >
> > ??? The example I gave works with the unmodified sources.  When used
> > as I've shown, there's no bug, and the command does what I expect.  So
> > how can we be sure no one ever used it that way and won't miss this
> > optional behavior?
> >
> > Can you explain your logic here?
> Maybe you are a genious.

I'm not a genius.  I just read the sources.

> Normal people when we are prompt for a 
> character we expect we can input the textual representation of the 
> character, for example: i will answer
> K
> instead of
> 75

There's no prompt, you must specify the marker via the prefix
argument.  With 'P', you must type the numeric codepoint of the
character; if we change it to 'c', users will be able to say "C-u x"
instead (where 'x' is the marker character they want).